apiVersion: v1
kind: Pod
metadata:
  labels:
    run: sidecar-pod
  name: sidecar-pod
  namespace: ckad-ns3
spec:
  volumes:
  - name: task-pv-storage
    persistentVolumeClaim:
      claimName: task-pv-claim
  containers:
  - args:
    - sh
    - -c
    - while true; do date >> /var/log/date.log; sleep 5; done
    image: busybox
    name: busybox
    imagePullPolicy: IfNotPresent
    volumeMounts:
      - mountPath: "/var/log/"
        name: task-pv-storage
  - image: nginx
    name: nginx
    volumeMounts:
      - mountPath: "/usr/share/nginx/html"
        name: task-pv-storage
